import React from 'react';
import './DropDown.css';

export default props => {
  const options = props.items.map((s, i) => {
    return (
      <option className={'DropDownOption'} key={i} value={i}>{s}</option>
    );
  });

  return (
    <div className={'DropDown'}>
      <select className={'DropDownSelect'} disabled={props.disabled} onChange={props.changed} value={props.selected}>
        {options}
      </select>
    </div>
  );

};